# Get the list of Shippo shipping rates available

This returns the list of Shippo shipping rates available
for the addreses provided i.e sender's address and recipient's
address.

Endpoint: POST /api/v1/shippo_shipping_rates
Version: 0.1.0
Security: OAuth2, APIKey

## Request fields (application/json):

  - `currency` (string, required)

  - `customs_certify` (boolean)

  - `customs_certify_signer` (string)

  - `customs_description` (string)

  - `customs_eel_pfc` (string)

  - `customs_incoterm` (string)

  - `customs_mass_unit` (string)

  - `customs_net_weight` (number)

  - `customs_non_delivery_option` (string)
    Enum: "return", "abandon"

  - `customs_origin_country` (string)

  - `customs_quantity` (integer)

  - `customs_value_amount` (string)

  - `customs_value_currency` (string)

  - `parcel_distance_unit` (string, required)
    Enum: "in", "cm"

  - `parcel_height` (number, required)

  - `parcel_length` (number, required)

  - `parcel_mass_unit` (string, required)
    Enum: "lb", "kg"

  - `parcel_weight` (number, required)

  - `parcel_width` (number, required)

  - `recipient_city` (string, required)

  - `recipient_country` (string, required)

  - `recipient_full_name` (string, required)

  - `recipient_phone` (string, required)

  - `recipient_state` (string, required)

  - `recipient_street_1` (string, required)

  - `recipient_street_2` (string)

  - `recipient_zip_code` (string, required)

  - `sender_city` (string, required)

  - `sender_country` (string, required)

  - `sender_full_name` (string, required)

  - `sender_phone` (string, required)

  - `sender_state` (string, required)

  - `sender_street_1` (string, required)

  - `sender_street_2` (string)

  - `sender_zip_code` (string, required)

## Response 200 fields (application/json):

  - `rates` (array, required)

  - `rates.amount` (string, required)

  - `rates.amount_local` (string, required)

  - `rates.arrives_by` (string)

  - `rates.attributes` (array, required)

  - `rates.currency` (string, required)

  - `rates.currency_local` (string, required)

  - `rates.duration_terms` (string, required)

  - `rates.estimated_days` (integer, required)

  - `rates.id` (string, required)

  - `rates.provider` (string, required)

  - `rates.provider_image` (string, required)

  - `rates.servicelevel` (object, required)

  - `rates.servicelevel.extended_token` (string, required)

  - `rates.servicelevel.name` (string, required)

  - `rates.servicelevel.terms` (string, required)

  - `rates.servicelevel.token` (string, required)

  - `shipment_id` (string, required)

## Response 400 fields (application/json):

  - `code` (string, required)

  - `error` (string, required)
    A contextual description of the error that occurred. When
handling errors the `code` field should be used to determine
the type of error that occurred, as the text in the `error`
field may change unexpectedly.

